#pragma once
 
using namespace System;
using namespace System::ComponentModel;
using namespace System::Collections;
using namespace System::Diagnostics;
using namespace Extensibility;
using namespace System::Windows::Forms;
using namespace System::Runtime::InteropServices;
 
namespace AdxHT_004_VC
{
    //Add-in Express Add-in Module
    [GuidAttribute("86911A2C-A137-4257-A893-435EDB52E2E3"), ProgId("AdxHT_004_VC.AddinModule")]
    __gc public class AddinModule : public AddinExpress::MSO::ADXAddinModule
    {
    public:
        AddinModule(void): AddinExpress::MSO::ADXAddinModule()
        {
            InitializeComponent();
        }
        AddinModule(System::ComponentModel::IContainer *container) : components(0)
        {
            /// <summary>
            /// Required for Windows.Forms Class Composition Designer support
            /// </summary>
 
            container->Add(this);
            InitializeComponent();
        }
 
        System::ComponentModel::IContainer* GetContainer()
        {
            return components;
        }
 
        void UninstallControls()
        {
            AddinExpress::MSO::ADXAddinModule::UninstallControls();
        }
 
        [ComRegisterFunctionAttribute]
        static void AddinRegister(System::Type* t)
        {
            AddinExpress::MSO::ADXAddinModule::ADXRegister(t);
        }
 
        [ComUnregisterFunctionAttribute]
        static void AddinUnregister(System::Type* t)
        {
            AddinExpress::MSO::ADXAddinModule::ADXUnregister(t);
        }
 
    protected:
        void Dispose(Boolean disposing)
        {
            if (disposing && components)
            {
                components->Dispose();
            }
            __super::Dispose(disposing);
        }
	private: AddinExpress::MSO::ADXOlFolderPage *  adxOlFolderPage1;
	private: System::ComponentModel::IContainer *  components;

    private:
        /// <summary>
        /// Required designer variable.
        /// </summary>

 
        /// <summary>
        /// Required method for Designer support - do not modify
        /// the contents of this method with the code editor.
        /// </summary>
        void InitializeComponent(void)
        {
			this->components = new System::ComponentModel::Container();
			this->adxOlFolderPage1 = new AddinExpress::MSO::ADXOlFolderPage(this->components);
			// 
			// adxOlFolderPage1
			// 
			this->adxOlFolderPage1->FolderName = S"Personal Folders\\Inbox";
			this->adxOlFolderPage1->PageProgID = S"AdxHT_004_VC.OLPropPage";
			this->adxOlFolderPage1->PageTitle = S"My Properties Page (VC)";
			// 
			// AddinModule
			// 
			this->AddinName = S"OlExample4 (VC)";
			this->Description = S"Outlook Pages  (VC)";
			this->FolderPages->Add(this->adxOlFolderPage1);
			this->PageProgID = S"AdxHT_004_VC.OLOptionsPage";
			this->PageTitle = S"My Options Page (VC)";
			this->SupportedApps = AddinExpress::MSO::ADXOfficeHostApp::ohaOutlook;

		}
    };
}

